package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

public class PageModeration {

    @SerializedName("PageId")
    private Integer pageId;

    @SerializedName("StatusModerate")
    private String statusModerate;

    @SerializedName("Version")
    private Integer version;

    @SerializedName("TaskURL")
    private String taskUrl;

    public Integer getPageId() {
        return pageId;
    }

    public void setPageId(Integer pageId) {
        this.pageId = pageId;
    }

    public String getStatusModerate() {
        return statusModerate;
    }

    public void setStatusModerate(String statusModerate) {
        this.statusModerate = statusModerate;
    }

    public PageModeration withPageId(Integer pageId) {
        this.pageId = pageId;
        return this;
    }

    public PageModeration withStatusModerate(String statusModerate) {
        this.statusModerate = statusModerate;
        return this;
    }

    public PageModeration withVersion(Integer version) {
        this.version = version;
        return this;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getTaskUrl() {
        return taskUrl;
    }

    public void setTaskUrl(String taskUrl) {
        this.taskUrl = taskUrl;
    }

    public PageModeration withTaskUrl(String taskUrl) {
        this.taskUrl = taskUrl;
        return this;
    }
}
